Hệ Điều Hành

Apple bắt đầu cảnh báo người dùng rằng kernel cũ sẽ không hoạt động với phiên bản macOS trong tương lai

4 Mins read

Apple đã chia sẻ một tài liệu hỗ trợ mới chỉ ra các phần mở rộng kernel – được gọi là “phần mở rộng hệ thống cũ” – sẽ không tương thích với phiên bản macOS trong tương lai vì chúng “không an toàn hoặc đáng tin cậy như các giải pháp thay thế hiện đại”.

Tiện ích mở rộng hệ thống là một danh mục phần mềm hoạt động ở chế độ nền để mở rộng chức năng của máy Mac. Một số ứng dụng cài đặt các tiện ích mở rộng kernel, là một loại tiện ích mở rộng hệ thống hoạt động bằng các phương thức cũ không an toàn hoặc đáng tin cậy như các giải pháp thay thế hiện đại. Máy Mac của bạn xác định đây là các tiện ích mở rộng hệ thống cũ.

Bắt đầu từ macOS 10.15.4, được phát hành trong tuần này, một cảnh báo sẽ xuất hiện khi phần mở rộng kernel lần đầu tiên tải lại và định kỳ trong khi phần mở rộng vẫn được sử dụng. Người dùng bắt đầu nhận thấy cảnh báo trong quá trình thử nghiệm beta.


Apple cho biết họ đã bắt đầu thông báo cho các nhà phát triển rằng macOS Catalina sẽ là macOS cuối cùng hỗ trợ đầy đủ các phần mở rộng kernel vào năm 2019, đồng thời bổ sung rằng họ đã làm việc với các nhà phát triển để chuyển đổi phần mềm của họ. Ngày chuyển tiếp cuối cùng vẫn chưa được thiết lập, nhưng một số nhà phát triển cho rằng các phần mở rộng kernel sẽ không được dùng trong macOS 10.16.

Các ứng dụng có phần mở rộng kernel sẽ tiếp tục hoạt động trong macOS Catalina.

“Bằng cách vượt ra ngoài các tiện ích mở rộng này, các nhà phát triển đang giúp hiện đại hóa hơn nữa cho Mac, cải thiện tính bảo mật và độ tin cậy của nó và cho phép các phương thức phân phối phần mềm thân thiện hơn với người dùng”, tài liệu hỗ trợ đọc.

Một ứng dụng bị ảnh hưởng là Malwarebytes, cho biết “một tỷ lệ đáng kể trong tổng khối lượng trường hợp hỗ trợ của chúng tôi” có liên quan đến cảnh báo mở rộng kernel mới chưa đầy 24 giờ sau khi phát hành công khai macOS 10.15.4.

Giám đốc Malwarebytes, Thomas Reed cho biết Apple có khung EndpointSecurity mới để thay thế cho các phần mở rộng kernel:

Chúng tôi nhận thức được điều này và đã nỗ lực thay thế phần mở rộng kernel của chúng tôi từ cuối năm ngoái. Chúng tôi dự định thay thế nó bằng khung EndpointSecurity mới của Apple trước khi phát hành macOS 10.16, khi giả định rằng các phần mở rộng kernel sẽ không còn hoạt động, một phần hoặc toàn bộ. (Chúng tôi chỉ biết rằng Apple đã nói rằng họ “sẽ không hoạt động mà không thỏa hiệp” trong “phiên bản tương lai của macOS.” Nhưng chúng tôi không muốn tìm hiểu chính xác điều đó có nghĩa là gì.)

Phần mở rộng kernel sẽ tiếp tục được hỗ trợ cho macOS 10.14 (Mojave) trở về trước, nhưng macOS 10.15 (và sau này) sẽ không còn cần đến nó nữa, khi chúng tôi có bản cập nhật.

Vì vậy, không cần phải hoảng sợ. Chúng tôi vẫn nhận được sự ủng hộ của bạn và sẽ không để sự bảo vệ của bạn chùn bước. Tất cả những gì bạn phải làm là đảm bảo rằng bạn luôn cập nhật Malwarebytes cho Mac. Nếu bạn đã cập nhật lên ít nhất phiên bản 4.2 và chưa tắt tính năng tự động cập nhật mới, nó sẽ tự cập nhật trong nền mà không cần bạn phải làm gì. Để đảm bảo bạn được cập nhật, chỉ cần mở Malwarebytes và chọn Kiểm tra cập nhật từ menu Malwarebytes.

Chi tiết kỹ thuật cho các nhà phát triển có sẵn trong một tài liệu của Apple có tiêu đề “Các phần mở rộng nhân không dùng được và các lựa chọn mở rộng hệ thống”.

Nguồn

Advertisements